package org.jeecg.modules.checkData.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 检查数据-设备检查记录数据-钢轨伤损情况检查表
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
@Data
@ApiModel(value = "RailWearRecordDetailVO对象", description = "钢轨伤损情况检查详情")
public class RailWearRecordDetailVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("左股仪器编码")
    private String leftFemoralApparatusCode;

    @ApiModelProperty("左股仪器")
    private String leftFemoralApparatus;

    @ApiModelProperty("右股仪器编码")
    private String rightFemoralApparatusCode;

    @ApiModelProperty("右股仪器")
    private String rightFemoralApparatus;

    @ApiModelProperty("左股轨向")
    @TableField("left_track_direction")
    private String leftTrackDirection;

    @ApiModelProperty("右股轨向")
    @TableField("right_track_direction")
    private String rightTrackDirection;

}
